Name:		prelude-manager           
Version:	0.9.12.1
Release:	1%{?dist}
Summary:	Prelude-Manager

Group:		Applications/Internet
License:	GPLv2+
URL:		http://www.prelude-ids.org
Source0:	http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.9.7-initd.patch
Patch1:		%{name}-0.9.12-pie.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpreludedb-devel, libxml2-devel
%if 0%{?fedora} > 6
BuildRequires:  tcp_wrappers-devel
%else
BuildRequires:  tcp_wrappers
%endif
Requires(post)	:	/sbin/chkconfig       
Requires(preun)	:	/sbin/chkconfig       
Requires(preun)	:	/sbin/service       
Requires(postun):	/sbin/service       

%description
Prelude Manager is the main program of the Prelude Hybrid IDS
suite. It is a multithreaded server which handles connections from
the Prelude sensors. It is able to register local or remote
sensors, let the operator configure them remotely, receive alerts,
and store alerts in a database or any format supported by
reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and
replication. The IDMEF standard is used for alert representation.
Support for filtering plugins allows you to hook in different
places in the Manager to define custom criteria for alert relaying
and logging.

%package devel
Summary: Header files and libraries for prelude-manager development
Group: Development/Libraries
Requires: prelude-manager = %{version}-%{release}, libpreludedb-devel

%description devel
Libraries, include files for Prelude-Manager.

%package        db-plugin
Summary:	Database report plugin for Prelude IDS Manager
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description    db-plugin
Prelude Manager is the main program of the Prelude Hybrid IDS
suite. It is a multithreaded server which handles connections from
the Prelude sensors. It is able to register local or remote
sensors, let the operator configure them remotely, receive alerts,
and store alerts in a database or any format supported by
reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and
replication. The IDMEF standard is used for alert representation.
Support for filtering plugins allows you to hook in different
places in the Manager to define custom criteria for alert relaying
and logging.

This plugin authorize prelude-manager to write to database.

%package	xml-plugin
Summary:	XML report plugin for Prelude IDS Manager
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description    xml-plugin
Prelude Manager is the main program of the Prelude Hybrid IDS
suite. It is a multithreaded server which handles connections from
the Prelude sensors. It is able to register local or remote
sensors, let the operator configure them remotely, receive alerts,
and store alerts in a database or any format supported by
reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and
replication. The IDMEF standard is used for alert representation.
Support for filtering plugins allows you to hook in different
places in the Manager to define custom criteria for alert relaying
and logging.

This plugin adds XML logging capabilities to the Prelude IDS
Manager.


%prep
%setup -q
%patch0 -p0
%patch1 -p1
sed -i.debug -e '/nlist/s|\$rm|: $rm|' ltmain.sh

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure	--with-libwrap
make %{?_smp_mflags}
iconv -f ISO8859-15 -t UTF-8 ChangeLog > ChangeLog.utf8 && \
%{__mv} ChangeLog.utf8 ChangeLog


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/%{_var}/spool/prelude-manager/scheduler
make install DESTDIR=%{buildroot} INSTALL="%{__install} -c -p"
cp -p AUTHORS ChangeLog README NEWS COPYING HACKING.README \
%{buildroot}%{_defaultdocdir}/%{name}-%{version}
install -m 755 %{name}.initd %{buildroot}/%{_initrddir}/%{name}
rm -f %{buildroot}/%{_libdir}/%{name}/reports/*.la
rm -f %{buildroot}/%{_libdir}/%{name}/filters/*.la
rm -f %{buildroot}/%{_libdir}/%{name}/decodes/*.la

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
	/sbin/service %{name} stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del %{name}
fi

%postun 
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(0755,root,root,-)
%config %dir %{_sysconfdir}/%{name}/
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/*
%{_initrddir}/%{name}
%dir %{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/filters/
%{_libdir}/%{name}/filters/*.so
%dir %{_libdir}/%{name}/reports/
%{_libdir}/%{name}/reports/debug.so
%{_libdir}/%{name}/reports/textmod.so
%{_libdir}/%{name}/reports/relaying.so
%dir %{_libdir}/%{name}/decodes/
%{_libdir}/%{name}/decodes/*.so
%dir %{_localstatedir}/spool/%{name}/
%dir %{_localstatedir}/spool/%{name}/scheduler
%dir %{_localstatedir}/run/%{name}/
%dir %{_datadir}/%{name}/
%dir %{_defaultdocdir}/%{name}-%{version}/
%doc %attr(0644,root,root) %{_defaultdocdir}/%{name}-%{version}/*
%attr(0644,root,root) %{_mandir}/man1/prelude-manager.1.gz

%files db-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/reports/db.so

%files xml-plugin
%defattr(-,root,root)
%{_libdir}/%{name}/reports/xmlmod.so
%dir %{_datadir}/%{name}/xmlmod/
%{_datadir}/%{name}/xmlmod/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*


%changelog
* Wed May 14 2008 Steve Grubb <sgrubb@redhat.com> 0.9.12.1-1
- new upstream version 0.9.12.1

* Thu Apr 24 2008 Steve Grubb <sgrubb@redhat.com> 0.9.12-1
- new upstream version 0.9.12

* Mon Jan 14 2008 Steve Grubb <sgrubb@redhat.com> 0.9.10-1
- new upstream version 0.9.10

* Thu Feb 08 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-4
- fixed Prelude trac #193

* Sun Jan 07 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-3
- added tcp-wrapper support
- fixed dirowner and permissions problem

* Fri Jan 05 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-2
- fixed encoding problems
- changed dirowner 
- resolved dependency problems

* Sat Dec 30 2006 Thorsten Scherf <tscherf@redhat.com> 0.9.7.1-1
- moved to new upstream version 0.9.7.1
- changed dirowner

* Mon Nov 20 2006 Thorsten Scherf <tscherf@redhat.com> 0.9.6.1-2
- Some minor fixes in requirements

* Tue Oct 24 2006 Thorsten Scherf <tscherf@redhat.com> 0.9.6.1-1
- New Fedora build based on release 0.9.6.1
